package com.steering.model.lims;

/**
 * 数据库表METER_BASE_CUSTOMER_SUPPLIER所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-09-11
 */
@SuppressWarnings("serial")
public class MeterBaseCustomerSupplierEntity implements java.io.Serializable {
    /**
     * 客商编号（YYYYMMDD+4位流水）
     */
    private String customerSupplierNo = "";
    /**
     * 客商名称
     */
    private String customerSupplierName = "";
    /**
     * 助记码
     */
    private String mnemonicCode = "";
    /**
     * 客商类型（0:客户；1：供应商；2：客户/供应商；3：货代）
     */
    private String customerSupplierType = "";
    /**
     * 密码
     */
    private String customerSupplierPassword = "";
    /**
     * 状态（0：无效；1:有效）
     */
    private String validFlag = "";
    /**
     * 创建人编号
     */
    private String createManNo = "";
    /**
     * 创建人姓名
     */
    private String createManName = "";
    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）
     */
    private String createTime = "";
    /**
     * 修改人编号
     */
    private String updateManNo = "";
    /**
     * 修改人姓名
     */
    private String updateManName = "";
    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     */
    private String updateTime = "";
    /**
     * 删除人编号
     */
    private String deleteManNo = "";
    /**
     * 删除人姓名
     */
    private String deleteManName = "";
    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）
     */
    private String deleteTime = "";
    /**
     * 账号
     */
    private String customerSupplierLogin = "";
    /**
     * 审核状态（0：未审核；1=已审核）
     */
    private String checkFlag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 索引码
     */
    private String indexCode = "";

    /**
     * 客商编号（YYYYMMDD+4位流水）
     * @return value
     */
    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    /**
     * 客商编号（YYYYMMDD+4位流水）
     * @param customerSupplierNo value
     */
    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo;
    }

    /**
     * 客商名称
     * @return value
     */
    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    /**
     * 客商名称
     * @param customerSupplierName value
     */
    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName;
    }

    /**
     * 助记码
     * @return value
     */
    public String getMnemonicCode() {
        return mnemonicCode;
    }

    /**
     * 助记码
     * @param mnemonicCode value
     */
    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode;
    }

    /**
     * 客商类型（0:客户；1：供应商；2：客户/供应商；3：货代）
     * @return value
     */
    public String getCustomerSupplierType() {
        return customerSupplierType;
    }

    /**
     * 客商类型（0:客户；1：供应商；2：客户/供应商；3：货代）
     * @param customerSupplierType value
     */
    public void setCustomerSupplierType(String customerSupplierType) {
        this.customerSupplierType = customerSupplierType;
    }

    /**
     * 密码
     * @return value
     */
    public String getCustomerSupplierPassword() {
        return customerSupplierPassword;
    }

    /**
     * 密码
     * @param customerSupplierPassword value
     */
    public void setCustomerSupplierPassword(String customerSupplierPassword) {
        this.customerSupplierPassword = customerSupplierPassword;
    }

    /**
     * 状态（0：无效；1:有效）
     * @return value
     */
    public String getValidFlag() {
        return validFlag;
    }

    /**
     * 状态（0：无效；1:有效）
     * @param validFlag value
     */
    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    /**
     * 创建人编号
     * @return value
     */
    public String getCreateManNo() {
        return createManNo;
    }

    /**
     * 创建人编号
     * @param createManNo value
     */
    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo;
    }

    /**
     * 创建人姓名
     * @return value
     */
    public String getCreateManName() {
        return createManName;
    }

    /**
     * 创建人姓名
     * @param createManName value
     */
    public void setCreateManName(String createManName) {
        this.createManName = createManName;
    }

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人编号
     * @return value
     */
    public String getUpdateManNo() {
        return updateManNo;
    }

    /**
     * 修改人编号
     * @param updateManNo value
     */
    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo;
    }

    /**
     * 修改人姓名
     * @return value
     */
    public String getUpdateManName() {
        return updateManName;
    }

    /**
     * 修改人姓名
     * @param updateManName value
     */
    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName;
    }

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人编号
     * @return value
     */
    public String getDeleteManNo() {
        return deleteManNo;
    }

    /**
     * 删除人编号
     * @param deleteManNo value
     */
    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo;
    }

    /**
     * 删除人姓名
     * @return value
     */
    public String getDeleteManName() {
        return deleteManName;
    }

    /**
     * 删除人姓名
     * @param deleteManName value
     */
    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName;
    }

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 账号
     * @return value
     */
    public String getCustomerSupplierLogin() {
        return customerSupplierLogin;
    }

    /**
     * 账号
     * @param customerSupplierLogin value
     */
    public void setCustomerSupplierLogin(String customerSupplierLogin) {
        this.customerSupplierLogin = customerSupplierLogin;
    }

    /**
     * 审核状态（0：未审核；1=已审核）
     * @return value
     */
    public String getCheckFlag() {
        return checkFlag;
    }

    /**
     * 审核状态（0：未审核；1=已审核）
     * @param checkFlag value
     */
    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 索引码
     * @return value
     */
    public String getIndexCode() {
        return indexCode;
    }

    /**
     * 索引码
     * @param indexCode value
     */
    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode;
    }
}